Index: WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3284)
+++ WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3285)
@@ -19,5 +19,6 @@
       <form action="" method="post" enctype="multipart/form-data" class="group">
         <span tal:replace="structure rendered" />
-        <input type="submit" name="upload" value="upload"
+        <br />
+        <input type="submit" name="upload" value="Upload"
                class="destructive" />
       </form>
@@ -30,9 +31,9 @@
             <th></th>
             <th>Filename</th>
-            <th>Schema</th>
-            <th>Uploaded by</th>
-            <th>Upload Date</th>
+            <th>Data Layout</th>
+            <th>By</th>
+            <th>Date</th>
             <th>Message</th>
-            <th>Invalid Keys</th>
+            <th>Conform Headline</th>
           </tr>            
           <tr tal:repeat="row rows"
@@ -60,6 +61,6 @@
             <td tal:content="row/msg" ></td>
             <td>
-              <span tal:repeat="key row/invalid_keys">
-                <span tal:replace="key" />
+              <div tal:repeat="key row/invalid_keys">
+                <span tal:replace="key" /><br />
                 <select tal:attributes="name string:${row/id}|${key}.valid_key:record">
                   <option tal:repeat="new row/valid_keys"
@@ -67,5 +68,5 @@
                           tal:content="new" />
                 </select>
-              </span>
+              </div>
             </td>
             <td tal:condition="python:0"> 
@@ -79,27 +80,22 @@
           </tr>
         </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input tal:condition="nothing" type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="edit" value="edit"
-                       class="destructive" i18n:attributes="value"
-                       />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-            </td>
-          </tr>
-        </table>
+        
+        <br />
+
+        <input tal:condition="nothing" type="button" value="button_select_all" class="context"
+               onclick="someJavaScriptFunctionThatWillBeReplaced"
+               i18n:attributes="value"
+               tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+               % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+               />
+        <input type="submit" name="edit" value="Edit"
+               class="destructive" i18n:attributes="value"
+               />
+        <input type="submit" name="folder_delete:method" value="button_delete"
+               class="destructive" i18n:attributes="value"
+               tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+               (cpsmcat('description_confirm_delete'), )" 
+               />
+
       </form>
     </metal:main>
Index: WAeUP_SRP/base/skins/waeup_upload/uploads_index.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3284)
+++ WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3285)
@@ -50,6 +50,6 @@
         if new_keys:
             doc.editHeadline(new_keys)
-        request.RESPONSE.redirect(context.absolute_url())    
-        
+        request.RESPONSE.redirect(context.absolute_url())
+
 for id,upload in context.objectItems():
     row = {}
@@ -61,5 +61,5 @@
     row['url'] = upload.absolute_url()
     row['msg'], row['invalid_keys'] = doc['checkKeys']()
-    row['filename'] = doc.filename 
+    row['filename'] = doc.filename
     row['import_layout'] = doc.import_layout
     row['upload_date'] =  doc.upload_date.strftime("%d/%m/%y %H:%M:%S")
@@ -92,5 +92,5 @@
         if filename not in context.objectIds():
             break
-        psm = "Upload file exists"
+        psm = "Upload object exists!"
     return context.uploads_form(rendered = res,
                                         psm = psm,
@@ -103,5 +103,5 @@
 upload = getattr(context,filename)
 d = {}
-d['filename'] = d['id'] = filename 
+d['filename'] = d['id'] = filename
 d['upload_date'] =  DateTime.DateTime()
 d['import_layout'] = ds.get('import_layout','')
@@ -110,4 +110,4 @@
 upload.getContent().edit(mapping=d)
 
-request.RESPONSE.redirect(context.absolute_url())    
+request.RESPONSE.redirect(context.absolute_url())
 
